Bug 164762 - [UPDATE] mail/dcc-dccd to 1.3.141
Summary: [UPDATE] mail/dcc-dccd to 1.3.141
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-04 15:10 UTC by Michael Scheidell
Modified: 2012-02-16 14:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Scheidell freebsd_committer 2012-02-04 15:10:08 UTC
	- Update to 1.3.141
	- Add LICENSE

1.3.141
    Fix "MTA-last" in dcc man page as suggested by Bram Grietens.
    Fix no_forced-discard typo reported by Bram Grietens.
    Fix dccm to honor `hackmc -R` and discard relay attacks.
    misc/DCC.pm, which is generated from misc/DCC.pm.in, is now very
        similar to what will probably be in SpamAssassin 3.4.
    Fix problems finding native milter library for dccm pointed out by
        Kevin A. McGrail.
    Improve documentation or help output from the nagios plugin,
        /var/dcc/libexec/dcc-nagios
    Fix bug in misc/DCC.pm in dealing with mail that already has an
        X-DCC header found and diagnosed by Herbert J. Skuhra.

LICENSE will ask user to read $WRKSRC/LICENSE, and install in into ../licenses/dcc*

Fix: 

______________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.spammertrap.com/
______________________________________________________________________--Su48AdKj9pym7xHtaHmMqv5XghdJAssy3uTFnR5sDBrZNGWg
Content-Type: text/plain; name="mail_dcc-dccd.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="mail_dcc-dccd.patch"

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/mail/dcc-dccd/Makefile,v
retrieving revision 1.49
diff -u -r1.49 Makefile
--- Makefile	23 Sep 2011 22:23:52 -0000	1.49
+++ Makefile	4 Feb 2012 14:54:19 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	dcc-dccd
-PORTVERSION=	1.3.140
+PORTVERSION=	1.3.141
 CATEGORIES=	mail
 MASTER_SITES=	http://www.dcc-servers.net/dcc/source/old/ \
 		http://www.rhyolite.com/anti-spam/dcc/source/old/ \
@@ -18,13 +18,18 @@
 MAINTAINER=	cgreen@sentex.net
 COMMENT=	Distributed Checksum Clearinghouse bulk email detector
 
+.if ! defined(PACKAGE_BUILDING)
+LICENSE=	DCC
+LICENSE_NAME=	DCC
+LICENSE_FILE=	${WRKSRC}/LICENSE
+LICENSE_PERMS=	no-pkg-sell no-dist-mirror no-pkg-mirror no-dist-sell
+.endif
+
 HAS_CONFIGURE=	yes
 MANCOMPRESSED=	yes
 MAN8=		cdcc.8 dbclean.8 dblist.8 dcc.8 dccd.8 dccifd.8 dccm.8 \
 		dccproc.8 dccsight.8
 
-USE_RC_SUBR=
-
 #
 # ALT_HOME -	DCC keeps its config files in its home directory but writes
 #		status and database files there as well.  This latter point
@@ -52,7 +57,7 @@
 		IPV6	"IPv6 support"	on  \
 		ALT_HOME	"DCC home in /var/dcc"	off \
 		PORTS_SENDMAIL	"Use base Sendmail if off, ports if on"	off
-
+	
 ## User for DCC files and SUID binaries
 #
 DCCUSER?=	dcc
@@ -113,7 +118,7 @@
 CPPFLAGS+=	-I${MILTERINC}
 LDFLAGS+=	-L${MILTERLIB}
 
-CONFIGURE_ARGS+=	--with-sendmail=${MILTERBASE}
+CONFIGURE_ARGS+=	--with-sendmail=yes
 
 PLIST_SUB+=	WITH_DCCM=""
 
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/mail/dcc-dccd/distinfo,v
retrieving revision 1.38
diff -u -r1.38 distinfo
--- distinfo	28 Jun 2011 13:55:48 -0000	1.38
+++ distinfo	4 Feb 2012 14:54:19 -0000
@@ -1,2 +1,2 @@
-SHA256 (dcc-1.3.140.tar.Z) = 19060563d3d72b70578d8f16e6780458d36f1a1db18a6d1e533bc42d80c38f24
-SIZE (dcc-1.3.140.tar.Z) = 1681539
+SHA256 (dcc-1.3.141.tar.Z) = b13e339fc1505ecf7d3784de49953b7002243d63a163884a572ee5e933adbe77
+SIZE (dcc-1.3.141.tar.Z) = 1682913
Comment 1 Edwin Groothuis freebsd_committer 2012-02-04 15:10:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-02-04 15:10:22 UTC
Maintainer of mail/dcc-dccd,

Please note that PR ports/164762 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/164762

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-02-04 15:10:24 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Michael Scheidell freebsd_committer 2012-02-16 11:48:29 UTC
Craig:

I am going to commit this upgrade to 1.3.141 in a couple of days, unless 
you see any problems with it.

I talked to Vernon about the licensing addition to this two weeks ago, 
and he is fine with that.

Any reason not to commit this?

-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 5 Craig Green 2012-02-16 14:31:03 UTC
On 2012-02-16 6:48 AM, Michael Scheidell wrote:
> Craig:
>
> I am going to commit this upgrade to 1.3.141 in a couple of days, unless
> you see any problems with it.
>
> I talked to Vernon about the licensing addition to this two weeks ago,
> and he is fine with that.
>
> Any reason not to commit this?

No, it looks okay. I was just trying to find some time to actually play 
with/understand the ports license mechanism, but it does work as 
expected and I can always poke at it later.


Craig.
------
Comment 6 dfilter service freebsd_committer 2012-02-16 14:43:45 UTC
scheidell    2012-02-16 14:43:28 UTC

  FreeBSD ports repository

  Modified files:
    mail/dcc-dccd        Makefile distinfo 
  Log:
  - Update to 1.3.141
  - Add LICENSE for interactive users
  
  PR:             ports/164762
  Submitted by:   scheidell (me)
  Approved by:    Craig Green <cgreen@sentex.net> (maintainer), gabor (mentor, implicit)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.50      +9 -4      ports/mail/dcc-dccd/Makefile
  1.39      +2 -2      ports/mail/dcc-dccd/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Michael Scheidell freebsd_committer 2012-02-16 14:43:54 UTC
State Changed
From-To: feedback->closed

Committed.